package com.tofly.codegen.service;

import com.tofly.codegen.entity.GenConfig;

import java.util.List;
import java.util.Map;

/**
 * @author Administrator
 * @date 2019/9/26  10:51
 */
public interface GeneratorService {

    public byte[] generatorCode(GenConfig genConfig);

    public Map querytable(String tableName);

    public List<Map> queryColumns(String tableName);

    public List<Map> getTables();

}
